X2Go Bug report logs - #259
Cannot log in on Centos 6.4 without Xorg running

version graph

Package: x2goagent; Maintainer for x2goagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goagent is src:nx-libs.

Reported by: Jan Middelkoop <jan@set-reizen.nl>

Date: Mon, 1 Jul 2013 15:18:01 UTC

Severity: normal

Tags: moreinfo

Found in version 3.5.0.20-3.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#259; Package x2goagent. (Mon, 01 Jul 2013 15:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Middelkoop <jan@set-reizen.nl>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 01 Jul 2013 15:18:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Jan Middelkoop <jan@set-reizen.nl>
To: submit@bugs.x2go.org
Subject: Cannot log in on Centos 6.4 without Xorg running
Date: Mon, 01 Jul 2013 16:31:49 +0200
Package: x2goagent
Version: 3.5.0.20-3.1

I had X2Go working on Centos 6.4.  After a reboot however, I could no 
longer login.  From the session log in /tmp/:

Error: Aborting session with 'Cannot establish any listening sockets - 
Make sure an X server isn't already running'.
Session: Aborting session at 'Mon Jul  1 15:26:23 2013'.
Session: Session aborted at 'Mon Jul  1 15:26:23 2013'.

There was no X server running.  So, out of curiousity, I tried to 
manually start Xorg to see what would happen.  Xorg started without 
problems.  After this, I could log in again to X2Go.  After that I 
killed Xorg.  The X2Go client stayed logged in.  I closed the client, 
and tried logging in again - but it didn't work until I restarted the 
Xorg server.

After being logged in for a while again, I killed the Xorg server (by 
accident, actually).  But it seems at this moment I can somehow log in 
without the X server running.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#259; Package x2goagent. (Thu, 18 Jul 2013 08:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timotheus Pokorra <timotheus.pokorra@solidcharity.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 18 Jul 2013 08:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 259@bugs.x2go.org (full text, mbox):

From: Timotheus Pokorra <timotheus.pokorra@solidcharity.com>
To: 259@bugs.x2go.org
Subject: centos problems
Date: Thu, 18 Jul 2013 09:43:47 +0200
Just for the record:
The workaround described on the associated discussion on the development list
https://lists.berlios.de/pipermail/x2go-dev/2013-June/005792.html
works for me:

  mv /usr/libexec/x2go/* /usr/lib64/x2go
  rm -Rf /usr/libexec/x2go
  ln -s /usr/lib64/x2go /usr/libexec/x2go
  service x2gocleansessions start
  chkconfig x2gocleansessions on

Obviously it would be good that the rpm packages would be fixed.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#259; Package x2goagent. (Mon, 30 Jun 2014 13:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jun 2014 13:25:01 GMT) Full text and rfc822 format available.

Message #15 received at 259@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jan Middelkoop <jan@set-reizen.nl>
Cc: 259@bugs.x2go.org
Subject: Issue fixed with NX 3.5.0.27
Date: Mon, 30 Jun 2014 13:20:11 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 moreinfo

Hi Jan,

a while back you reported problems with X2Go Server on CenOS 6.4.

We are currently building the latest release 3.5.0.27 of NX  
(redistributed) which has been the origin of your observed problems.

Can you please test latest X2Go Server (with latest x2goagent) and let  
us know if your problems are gone?

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 259-submit@bugs.x2go.org. (Mon, 30 Jun 2014 13:25:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#259; Package x2goagent. (Fri, 15 May 2015 13:19:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 15 May 2015 13:19:04 GMT) Full text and rfc822 format available.

Message #22 received at 259@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 259@bugs.x2go.org
Subject: closing due to lack of feedback
Date: Fri, 15 May 2015 13:18:42 +0000
[Message part 1 (text/plain, inline)]
Control: close -1

Closing this issue due to lack of user feedback. As we have been  
working a lot on the RPM packaging since the issue got reported, let's  
consider it fixed.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 259-submit@bugs.x2go.org. (Fri, 15 May 2015 13:19:05 GMT) Full text and rfc822 format available.

Notification sent to Jan Middelkoop <jan@set-reizen.nl>:
Bug acknowledged by developer. (Fri, 15 May 2015 13:19:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 13 Jun 2015 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Apr 21 04:50:16 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.